2 suwu150 suwu150 于 2017.01.12 09:31 提问

WebStorm运行程序出错,不能够import

import React from 'react';
^^^^^^
SyntaxError: Unexpected token import
at Object.exports.runInThisContext (vm.js:53:16)
at Module._compile (module.js:513:28)
at Object.Module._extensions..js (module.js:550:10)
at Module.load (module.js:458:32)
at tryModuleLoad (module.js:417:12)
at Function.Module._load (module.js:409:3)
at Function.Module.runMain (module.js:575:10)
at startup (node.js:160:18)
at node.js:449:3

Process finished with exit code 1

如上提示,提示不能够import??

1个回答

devmiao
devmiao   Ds   Rxr 2017.01.14 00:33
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
在webstorm中使用typescript开发react程序(一)环境搭建
1.创建新工程 在webstorm里新建一个空项目,在terminal窗口栏里输入 npm init以生成package.json包管理配置文件。 2. 在项目中中加入react和typescript相关依赖包npm i -g webpack webpack-dev-server typescript npm i --save react react-dom @types/react @typ
webStorm报错Import declarations are not supported by current JavaScript version
首先贴出报错信息,在webStorm编辑器上的报错: Import declarations are not supported by current JavaScript version. 解决办法: 在webstorm-->prefrences-->Languages & Frameworks -->JavaScript--->React JSX即可。
关于Webstrom运行react_native中的Android项目出错的解决办法
复制使用androidstudio创建的项目中的local.properties文件至android目录下 或者直接在android目录下创建local.properties文件 ndk.dir=D\:\\AndroidSDK\\ndk-bundle sdk.dir=D\:\\AndroidSDK 注意路径的书写!!!   D:\AndroidSDK  这是错误的书写方法
WebStorm设置文件导入
首次安装的WebStrom-IDE没有设置任何的设置项,包括快捷键的使用,通过导入WebStorm的设置文件(setting.jar)可以快速设置IDE的属性。 导入方法:     打开WebStorm-IED,通过File/import Settings选项,导入设置文件settings.jar。设置文件下载地址:     百度云:链接: http://pan.baidu.com/s/1k
webstorm完整设置setting包
实用型的webstorm设置setting包。使用方法: 打开“file”下的“import setting”进行选择导入,关闭重启后即可使用
webstormSettingImport
webstorm 主题颜色配置 信息, 黑色背景,不同标签不同颜色,本人用了很久, 省去自己配置的时间
WebStorm下使用TypeScript
Cannot start compiler process 最近学习使用LayaBox引擎开发Html5游戏,选择使用TS 原因参见Egret答记者问中一段: Q:之前和几个工程师聊了聊Egret,他们很好奇为什么用TypeScript而不用CoffeeScript 马:TypeScript是微软官方的一种语言,是JavaScript的超集。它遵循的ECMA Script 6.0是下一代的JavaScript。今年年底,微软、谷歌和Mozila三个
ReactNative---WebStorm 环境配置------遇到的坑点
前面是用的官网的安装方式http://reactnative.cn/docs/0.43/getting-started.html#contentjdk必须是1.8,否则报错下面会有提到。到这里就开始安装WebStorm,从官网下载最新的=============================================================================坑点1.j
webstorm编写ES6报错:Classes are not supported by current JavaScript version
报错原因:当前的webstorm的js文件的配置问题,当前的配置支持的ES版本太低。修改一下配置就好了。
webstorm添加*.vue文件支持
vue.js   CodeMan 2017年06月14日发布 赞  |   1 收藏  |  3 1.5k 次浏览 方法1:安装 Vue.js 插件 打开 Settings->Plugins 搜索安装 css预处理器支持 在我写这文章的时间,还没有支持预处理的方案,不过现在已经很简单了。 给 style